### Property

# Ide ObjectBox:propagate-disposal

#### Declaration

    property propagate-disposal: gboolean [ read, write, construct-only ]

#### Description

The “propagate-disposal” property denotes if the `IdeObject:object` property contents should have `g_object_run_dispose()` called when the `IdeObjectBox` is destroyed.

This is useful when you want to force disposal of an external object when `self` is removed from the object tree.

Type: | `gboolean`
Available since: | 3.32

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes